For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
      • GETList all Inquiries
      • POSTCreate an Inquiry
      • GETRetrieve an Inquiry
      • DELRedact an Inquiry
      • PATCHUpdate an Inquiry
      • POSTAdd tag to an Inquiry
      • POSTApprove an Inquiry
      • POSTDecline an Inquiry
      • POSTMark an Inquiry for manual review
      • POSTExpire an Inquiry
      • POSTGenerate a one-time link for an Inquiry
      • GETPrint Inquiry PDF
      • POSTRemove tag from an Inquiry
      • POSTResume an Inquiry
      • POSTSet tags on an Inquiry
      • POSTPerform Simulate Actions
      • PATCHSet Simulated Data
      • POSTSearch Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceInquiries

Retrieve an Inquiry

GET
https://api.withpersona.com/api/v1/inquiries/:inquiry-id
GET
/api/v1/inquiries/:inquiry-id
$curl https://api.withpersona.com/api/v1/inquiries/inquiry-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "inq_zEx4jL84ShbUyuwX6AzPSqt6",
4 "attributes": {
5 "status": "pending",
6 "reference-id": "abc-123",
7 "note": "A helpful note",
8 "behaviors": {},
9 "tags": [],
10 "creator": "creator@withpersona.com",
11 "reviewer-comment": "This is a comment for this inquiry!",
12 "created-at": "2023-03-29T19:06:45.000Z",
13 "updated-at": "2023-03-30T19:07:01.000Z",
14 "started-at": "2023-03-30T19:07:01.000Z",
15 "expires-at": "2023-03-31T19:07:01.000Z",
16 "completed-at": "2023-03-28T18:35:10.000Z",
17 "failed-at": "2023-03-28T18:35:10.000Z",
18 "marked-for-review-at": "2023-03-28T18:35:10.000Z",
19 "decisioned-at": "2023-03-28T18:35:10.000Z",
20 "expired-at": "2023-03-28T18:35:10.000Z",
21 "redacted-at": "2023-03-28T18:35:10.000Z",
22 "previous-step-name": "start",
23 "next-step-name": "verification_document",
24 "fields": {
25 "name-first": {
26 "type": "string",
27 "value": "Jane"
28 },
29 "name-middle": {
30 "type": "string",
31 "value": "Marie"
32 },
33 "name-last": {
34 "type": "string",
35 "value": "Doe"
36 },
37 "address-street-1": {
38 "type": "string",
39 "value": "123 Main St"
40 },
41 "address-street-2": {
42 "type": "string"
43 },
44 "address-city": {
45 "type": "string",
46 "value": "San Francisco"
47 },
48 "address-subdivision": {
49 "type": "string",
50 "value": "California"
51 },
52 "address-postal-code": {
53 "type": "string",
54 "value": "94111"
55 },
56 "address-country-code": {
57 "type": "string",
58 "value": "US"
59 },
60 "birthdate": {
61 "type": "date",
62 "value": "1995-09-08"
63 },
64 "email-address": {
65 "type": "string",
66 "value": "jane@doe.com"
67 },
68 "phone-number": {
69 "type": "string"
70 },
71 "identification-number": {
72 "type": "string"
73 }
74 },
75 "birthdate": "1995-09-08",
76 "name-first": "Jane",
77 "name-middle": "Marie",
78 "name-last": "Doe",
79 "email-address": "jane@doe.com",
80 "address-street-1": "123 Main St",
81 "address-city": "San Francisco",
82 "address-subdivision": "California",
83 "address-postal-code": "94111",
84 "address-subdivision-abbr": "CA",
85 "address-postal-code-abbr": "94111",
86 "reviewer": "reviewer@example.com",
87 "reviewer-type": "user"
88 },
89 "relationships": {
90 "account": {
91 "data": {
92 "id": "act_n2uq9eKMboaCQzu9ALWYcVdN",
93 "type": "account"
94 }
95 },
96 "documents": {
97 "data": []
98 },
99 "template": {
100 "data": {}
101 },
102 "inquiry-template": {
103 "data": {
104 "id": "itmpl_p8ANAJy9iqadm2buF2xcVgqH",
105 "type": "inquiry-template"
106 }
107 },
108 "inquiry-template-version": {
109 "data": {
110 "id": "itmplv_iXhqfNWqwYLAWs9G8Fm8hPfo",
111 "type": "inquiry-template-version"
112 }
113 },
114 "reports": {
115 "data": []
116 },
117 "selfies": {
118 "data": []
119 },
120 "sessions": {
121 "data": []
122 },
123 "verifications": {
124 "data": [
125 {
126 "id": "ver_uHDiwtcx3htjajvEaeMjPQcE",
127 "type": "verification/database"
128 }
129 ]
130 }
131 },
132 "type": "inquiry"
133 },
134 "included": [
135 {
136 "type": "inquiry-session",
137 "attributes": {
138 "status": "expired",
139 "created-at": "2023-07-25T04:15:20.000Z",
140 "started-at": "2023-07-25T05:14:50.000Z",
141 "expired-at": "2023-07-26T05:14:50.000Z",
142 "ip-address": "127.0.0.1",
143 "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36",
144 "os-name": "Mac",
145 "os-full-version": "10.15.7",
146 "device-type": "desktop",
147 "device-name": null,
148 "browser-name": "Chrome",
149 "browser-full-version": "115.0.0.0",
150 "mobile-sdk-name": null,
151 "mobile-sdk-full-version": null,
152 "device-handoff-method": null,
153 "is-proxy": false,
154 "is-tor": false,
155 "is-datacenter": false,
156 "is-vpn": false,
157 "threat-level": "low",
158 "country-code": "US",
159 "country-name": "United States",
160 "region-code": "CA",
161 "region-name": "California",
162 "latitude": 37.7688,
163 "longitude": -122.262
164 },
165 "id": "iqse_ABC123",
166 "relationships": {
167 "inquiry": {
168 "data": {
169 "type": "inquiry",
170 "id": "inq_ABC123"
171 }
172 }
173 }
174 },
175 {
176 "type": "inquiry-template",
177 "attributes": {
178 "name": "Twilio Desktop",
179 "status": "active"
180 },
181 "id": "itmpl_ABC123",
182 "relationships": {
183 "latest-published-version": {
184 "data": {
185 "type": "inquiry-template-version",
186 "id": "itmplv_ABC123"
187 }
188 }
189 }
190 }
191 ]
192}
Retrieves the details of an existing Inquiry. In the [Embedded Flow](https://docs.withpersona.com/embedded-flow), the `inquiry-id` is the first parameter of the onStart callback. In the [Hosted Flow](https://docs.withpersona.com/hosted-flow), the `inquiry-id` is a query parameter in the onComplete callback. Template information will be found in `data.relationships.inquiry-template` if the inquiry is a Dynamic Flow inquiry, and in `data.relationships.template` if the inquiry is a Legacy 2.0 inquiry. For more information, see [Dynamic Flow vs. Legacy Templates](https://docs.withpersona.com/inquiry-templates#dynamic-flow-vs-legacy-templates).
Was this page helpful?
Previous

Redact an Inquiry

Next
Built with

Retrieves the details of an existing Inquiry.

In the Embedded Flow, the inquiry-id is the first parameter of the onStart callback. In the Hosted Flow, the inquiry-id is a query parameter in the onComplete callback.

Template information will be found in data.relationships.inquiry-template if the inquiry is a Dynamic Flow inquiry, and in data.relationships.template if the inquiry is a Legacy 2.0 inquiry. For more information, see Dynamic Flow vs. Legacy Templates.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inquiry-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns an Inquiry object and (optionally) its related objects in included.

dataobject
An Inquiry object
includedlist of objects

Included by default:

  • Reports
  • Verifications
  • Inquiry Sessions
  • Documents
  • Inquiry Template

Anything else must be explicitly requested with the include query parameter.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.